<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
  <title>Задание 6</title>
<style>

h1{
text-align:center;
}

#result{
display:inline;
}

#prodPrice{
display:inline;
}

.st{
display:inline;
}

body{
margin:70px;
}

#form-aside-wrapper{
flex-direction: column;
display: flex;
}

#form-aside-wrapper form, #form-aside-wrapper aside{
background-color:grey;
margin:10px;
padding:10px;
}

#form-aside-wrapper form{
flex:2;
order:1;
}

#form-aside-wrapper aside{
flex:2;
order:2;
}

.l{
text-align:center;
display:inline;
}

</style>
</head>
<body>

<div id="form-aside-wrapper">

<h1>Калькулятор стоимости товара</h1>

<form>
<h3>Введите необходимое количество товара</h3>
<label><input name="nm1"></label>

<h3>Выберите тип товара</h3>

<select name="prodType">
<option value="1">Развлечения</option>
<option value="2">Продукты</option>
<option value="3">Одежда</option>
</select><br><br>

<div id="radios">
<label><input type="radio" name="prodOptions" value="option1">По обычной цене</label>
<label><input type="radio" name="prodOptions" value="option2">По акции</label>
<label><input type="radio" name="prodOptions" value="option3">Высокого качества</label>
</div>
<div id="checkboxes">
<label><input type="checkbox" name="prop1">Женская</label>
<label><input type="checkbox" name="prop2">Мужская</label>
</div><br><br>

<div class="st">Цена товара = </div>
<div id="prodPrice"></div><br><br>
</form>

<aside>
<div class="st">Стоимость товара = </div><div id="result"></div>
</aside>

</div>

<script>
function updatePrice() {
  
let s = document.getElementsByName("prodType");
  
let select = s[0];
  
let price = 0;
  
let prices = getPrices();
  
let priceIndex = parseInt(select.value) - 1;
  
if (priceIndex >= 0) {
    
price = prices.prodTypes[priceIndex];
  
}
  
  

let radioDiv = document.getElementById("radios");
  
radioDiv.style.display = (select.value == "2" ? "block" : "none");
  
  

let radios = document.getElementsByName("prodOptions");
  
radios.forEach(function(radio) {
    
if (radio.checked) {
      
let optionPrice = prices.prodOptions[radio.value];
      
if (optionPrice !== undefined) {
       
 price += optionPrice;
     
 }
    
}
  
});

  

 let checkDiv = document.getElementById("checkboxes");
  
checkDiv.style.display = (select.value == "1" || select.value=="2" ? "none" : "block");

  
 
let checkboxes = document.querySelectorAll("#checkboxes input");
  
checkboxes.forEach(function(checkbox) {
    
if (checkbox.checked) {
     
 let propPrice = prices.prodProperties[checkbox.name];
      
if (propPrice !== undefined) {
        
price += propPrice;
      
}
    
}
  
});
  
  
let prodPrice = document.getElementById("prodPrice");
prodPrice.innerHTML = price + " рублей";
  
let n1=document.getElementsByName("nm1");
let r=document.getElementById("result");
r.innerHTML = price*n1[0].value + " рублей";
}

function getPrices() {
  
return {
    
prodTypes: [500, 200, 350],
    
prodOptions: {
  option2: -50,
      option3: 200,
  },
    
prodProperties: {
     prop1: 1100,
      prop2: 1000,
    }
  
};

}



window.addEventListener('DOMContentLoaded', function (event) {
  
let radioDiv = document.getElementById("radios");
  
radioDiv.style.display = "none";
  
  
 let s = document.getElementsByName("prodType");
 
 let select = s[0];
  
select.addEventListener("change", function(event) {
   
 let target = event.target;
    
    
updatePrice();
  
});
  
  

 let radios = document.getElementsByName("prodOptions");
 
 radios.forEach(function(radio) {
   
 radio.addEventListener("change", function(event) {
    
  let r = event.target;
          
updatePrice();
    
});
  
});

   
 
  
let checkboxes = document.querySelectorAll("#checkboxes input");
  
checkboxes.forEach(function(checkbox) {
    
checkbox.addEventListener("change", function(event) {
     
 let c = event.target;
         
 updatePrice();
   
 });
  
});

  
updatePrice();

});


</script>  

  </body>
</html>

